Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: martin rudalics <[email-masked]>
Date: Tue, 25 Mar 2014 15:57:27 +0100

> So, at the end, the bug is that modifying the dimensions of an
 > existing frame with tool-bar-lines set to 0 fails. That's either a
 > window manager problem, or a problem in the Emacs code related to it.

Since Robert uses GTK the toolbar is not part of the Emacs frame.  And
since IIUC the frame is not yet visible, the problem with applying the
frame size change immediately, that is without waiting for a
ConfigureNotify event, might have an impact too.  Why GTK+ would drop
the frame title is still beyond my comprehension.

martin